Skip to main content
POST
/
v1
/
payments
/
providers
/
{provider}
/
webhook
/
{projectId}
provider webhook
curl --request POST \
  --url https://api.unprice.dev/v1/payments/providers/{provider}/webhook/{projectId} \
  --header 'Authorization: Bearer <token>'
{
  "received": true,
  "webhookEventId": "<string>",
  "providerEventId": "<string>",
  "status": "processed",
  "outcome": "payment_succeeded",
  "invoiceId": "<string>",
  "subscriptionId": "<string>",
  "topupId": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.unprice.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

provider
enum<string>
required
Available options:
stripe,
square,
sandbox
projectId
string
required

The project id that owns the payment provider configuration

Example:

"proj_123"

Response

Webhook accepted and processed idempotently

received
enum<boolean>
required
Available options:
true
webhookEventId
string
required
providerEventId
string
required
status
enum<string>
required
Available options:
processed,
duplicate
outcome
enum<string>
required
Available options:
payment_succeeded,
payment_failed,
payment_reversed,
payment_dispute_reversed,
wallet_topup_settled,
provider_signup_completed,
ignored
invoiceId
string
subscriptionId
string
topupId
string